Draft Rectangle/fr

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Rectangle and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Rectangle

Emplacement du menu
Draft → Rectangle
Ateliers
Planche à dessin
Raccourci par défaut
R E
Introduit dans la version
-
Voir aussi
Cube


Description

Cet outil trace un Rectangle par la sélection de deux points opposés. La ligne nouvellement créée adopte le style de ligne actif.Vous pouvez éventuellement ajouter un chanfrein à 45 degrés ou ou un congé à chaque coin du rectangle et le diviser en une série de rangées et / ou de colonnes de même taille.

You can optionally add a 45 degree chamfer or circular fillet to every corner of the rectangle, and you can divide the rectangle into a series of equal-sized rows and columns.

Draft Rectangle example.jpg

Draft Rectangle example.jpg

Utilisation

  1. Pressez le bouton Draft Rectangle.png rectangle ou pressez les touches R then E.
  2. Cliquez le premier point du coin dans la vue 3D, ou tapez les coordonnées.
  3. Cliquez le deuxième point du coin opposé du Rectangle dans la vue 3D, ou tapez les coordonnées. Le rectangle, sera également une face, même s'il apparaît comme filaire.

The rectangle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

The length and width of the rectangle can be changed after creation by changing its properties.

Options

  • Pressez les touches X, Y ou Z après le point, contraint le point suivant dans la direction de l'axe donné.
  • Vous pouvez simplement entrer les coordonnées manuellement, en entrant les nombres, puis tapez ENTRÉE à chaque composants X, Y et Z.
  • Pressez la touche R, ou activez/désactivez la case à cocher Relatif. Si relatif est activé, les coordonnées du point suivant, sont relatives au premier point. Si elle n'est pas cochée, les coordonnées sont absolues, et, commencent à partir du point d'origine (0,0,0).
  • Pressez la touche T, ou activez/désactivez la case à cocher Continue. Si la case à cocher Continue est activée, et, que vous avez terminé, ou fermé votre rectangle, la fonction redémarre automatiquement, vous permettant, de dessiner un autre rectangle sans devoir appuyer sur le bouton.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche du composant logiciel enfichable, indépendamment de la distance.
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et votre ligne sera contrainte horizontalement ou verticalement par rapport au premier point.
  • Pressez sur la touche I, ou le bouton Filled, transforme le rectangle en une face dès qu'il est fermé.
  • Pressez sur la touche ESC, ou le bouton Cancel pour quitter la commande.
  • Le rectangle nouvellement créé adopte le style de ligne actif.

Propriétés

  • DONNÉESLength: Spécifie la longueur du rectangle
  • DONNÉESWidth: Spécifie la hauteur rectangle
  • DONNÉESChamfer Size: Spécifie la dimension de arrondis des coins
  • DONNÉESFillet Radius: Spécifie le rayon de la courbure des coins du rectangle
  • DONNÉESRows: Permet de donner des subdivisions horizontales au rectangle
  • DONNÉESColumns: Permet de donner des subdivisions verticales au rectangle
  • DONNÉESMake Face: Rempli le rectangle avec une face
  • VUETexture Image: Permet de donner le chemin du fichier de l'image à mapper sur le rectangle. C'est à vous de donner au rectangle la même proportion que l'image si vous voulez éviter les distorsions. La suppression de cette propriété éliminera l'image.
  • VUEPattern: Spécifie le type de hachure a utiliser
  • VUEPattern Size: Spécifie l’épaisseur du hachage

Data

  • DATALength: specifies the length of the shape in the X axis direction.
  • DATAHeight: specifies the height of the shape in the Y axis direction.
  • DATAChamfer Size: specifies the diagonal length of the 45° chamfer at each corner of the rectangle.
  • DATAFillet Radius: specifies the radius of the 90° fillet at each corner of the rectangle.
  • DATARows: specifies the number of equal-sized rows in which the original shape is divided; by default, 1 row.
  • DATAColumns: specifies the number of equal-sized columns in which the original shape is divided; by default, 1 column.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.
  • VIEWTexture Image: specifies the path to an image file to be mapped on the face of the shape. Blanking this property will remove the image.
The rectangle should have the same proportions as the image to avoid distortions in the mapping.

Script

L'outil Rectangle, peut être utilisé dans les macros et dans la console Python, en utilisant la fonction suivante :

The Rectangle tool can be used in macros and from the Python console by using the following function:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crée un objet Rectangle, avec, une longueur length de direction X, et, une hauteur height de direction Y.
  • Si une position est donnée, elle est utilisée.
  • Si code>face</code> is None, le rectangle est représenté par un filaire, sinon comme une face.
  • La largeur et la couleur de ligne Draft Linestyle spécifiées seront utilisées.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Previous: Draft Polygon.svg Polygon
Next: Text Draft Text.svg Arrow-right.svg